import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.rst')) as f:
    README = f.read()
with open(os.path.join(here, 'CHANGES.txt')) as f:
    CHANGES = f.read()

requires = [
    'passlib',
    'pyramid',
    'pyramid_tm',
    'pyramid_jwt',
    'SQLAlchemy',
    'transaction',
    'zope.sqlalchemy',
    'WebTest',  # remove once figure out how to
    ]

tests_require = [
    'WebTest >= 1.3.1',  # py3 compat
    'pytest',  # includes virtualenv
    'pytest-cov',
    ]

setup(name='PyramidAuthService',
      version='0.1',
      description='Pyramid AuthService',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
          "Programming Language :: Python",
          "Framework :: Pyramid",
          "Topic :: Internet :: WWW/HTTP",
          "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
      ],
      author='Steven Locke',
      author_email='steve.m.locke@gmail.com',
      url='',
      keywords='pyramid jwt auth',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      extras_require={
          'testing': tests_require,
      },
      install_requires=requires,
      )
